%define oname   topkg

Name:           ocaml-topkg
Version:        1.0.1
Release:        %mkrel 4
Summary:        The transitory OCaml software packager
License:        ISC
Group:          Development/OCaml
URL:            http://erratique.ch/software/topkg
Source0:        http://erratique.ch/software/topkg/releases/%{oname}-%{version}.tbz
BuildRequires:  opam
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-result-devel
BuildRequires:  ocaml-ocamlbuild

#Project:       http://erratique.ch/repos/topkg/
#ProjectMirror: https://github.com/dbuenzli/topkg

%description
Topkg is a packager for distributing OCaml software. It provides
an API to describe the files a package installs in a given build
configuration and to specify information about the package's
distribution, creation and publication procedures.

The optional topkg-care package provides the topkg command line
tool which helps with various aspects of a package's life cycle:
creating and linting a distribution, releasing it on the WWW,
publish its documentation, add it to the OCaml opam repository,
etc.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}
%autopatch -p1

# require debug info
echo $'\ntrue: debug' >> _tags

%build
ocaml pkg/pkg.ml "build"

%install
opam-installer \
	--prefix=%{buildroot}%{_prefix} \
	--libdir=%{buildroot}%{_libdir}/ocaml \
	%{oname}.install

# remove bogus path of docs
rm -rf %{buildroot}%{_prefix}/doc/%{oname}

# Makes *.cmxs executable such that they will be stripped.
find %{buildroot} -name '*.cmxs' -exec chmod 0755 {} \;

%files
%doc README.md CHANGES.md
%license LICENSE.md
%dir %{_libdir}/ocaml/topkg
%{_libdir}/ocaml/topkg/META
%{_libdir}/ocaml/topkg/opam
%{_libdir}/ocaml/topkg/*.cmi
%{_libdir}/ocaml/topkg/*.cma
%{_libdir}/ocaml/topkg/*.cmxs

%files devel
%doc doc/ test/
%{_libdir}/ocaml/topkg/*.a
%{_libdir}/ocaml/topkg/*.cmx
%{_libdir}/ocaml/topkg/*.cmxa
%{_libdir}/ocaml/topkg/*.mli
%{_libdir}/ocaml/topkg/*.cmti


%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.0.1-4.mga8
+ Revision: 1670295
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.0.1-3.mga8
+ Revision: 1551587
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 1.0.1-2.mga8
+ Revision: 1543564
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 1.0.1-1.mga8
+ Revision: 1481923
- new release + rebuild for ocaml-4.10

* Sat Mar 02 2019 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1371011
- new version: 1.0.0
- enable debug package as it should

* Tue Oct 23 2018 pterjan <pterjan> 0.9.1-3.mga7
+ Revision: 1324388
- Rebuild for ocaml 4.07.1

* Wed Aug 29 2018 daviddavid <daviddavid> 0.9.1-2.mga7
+ Revision: 1255384
- rebuild for new ocaml-result 1.3

* Mon Mar 26 2018 daviddavid <daviddavid> 0.9.1-1.mga7
+ Revision: 1212572
- initial package ocaml-topkg

